> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve User

> Get a user by their ID



## OpenAPI

````yaml get /users/{userId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /users/{userId}:
    get:
      tags:
        - Users
      description: Get a user by their ID
      parameters:
        - schema:
            type: string
          in: path
          name: userId
          required: true
          description: The user's ID
      responses:
        '200':
          description: User object
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - user
                      - application
                  id:
                    type: string
                  username:
                    type: string
                  display_name:
                    type: string
                  avatar:
                    type: object
                    properties:
                      initial:
                        type: string
                      transparent:
                        type: string
                      colour:
                        type: string
                    required:
                      - initial
                      - transparent
                      - colour
                required:
                  - type
                  - id
                  - username
                  - display_name
                  - avatar
                description: User object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````